

% Definicao do sistema
c = 1;
Tamb = 273;

F = @(Temp,gamma) c.*gamma.*(Temp.^4 - Tamb.^4);

t0 = 0;
tf = 300;
Temp0 = 0;

% Definindo parametros a serem continuados
gamma_i = 0;        % Paramtro Inicial
gamma_f = 1;        % Parametro Final

M = 10;             % Quantidade de parâmetros envolvidos na continuacao

gamma = linspace(gamma_i, gamma_f, M);


delta = 15;
L = 25;

%> Calculando solucao para gamma_inicial
Temp_old = ones(L,1)*Temp0;
[t,x] = PicardExtendido(F, gamma(2), t0, tf, Temp0, Tamb, Temp_old, delta, L);

figure; hold on
for i = 1:length(gamma)
    
    [t,Temp] = PicardExtendido(F, gamma(i), t0, tf, Temp0, TempOld);
    plot(t,Temp)
    
    
end